#pragma once

#include "TUSBSLC.h"

namespace S01Timer {

	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing;

	/// <summary>
	/// Form1 ̊Tv
	/// </summary>
	public ref class Form1 : public System::Windows::Forms::Form
	{
	public:
		Form1(void)
		{
			InitializeComponent();
			//
			//TODO: ɃRXgN^[ R[hǉ܂
			//
		}

	protected:
		/// <summary>
		/// gp̃\[XׂăN[Abv܂B
		/// </summary>
		~Form1()
		{
			if (components)
			{
				delete components;
			}
		}
	internal: System::Windows::Forms::Button^  ZeroBtn;
	protected: 
	internal: System::Windows::Forms::Button^  StartBtn;
	internal: System::Windows::Forms::TextBox^  ResultView;
	internal: System::Timers::Timer^  Timer1;

	private:
		/// <summary>
		/// KvȃfUCi[ϐłB
		/// </summary>
		System::ComponentModel::Container ^components;

        static unsigned char TotalCnt; //捞{^ォ݂̌̑捞
        static const short devID = 0;//uID

#pragma region Windows Form Designer generated code
		/// <summary>
		/// fUCi[ T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^[ŕύXȂłB
		/// </summary>
		void InitializeComponent(void)
		{
			this->ZeroBtn = (gcnew System::Windows::Forms::Button());
			this->StartBtn = (gcnew System::Windows::Forms::Button());
			this->ResultView = (gcnew System::Windows::Forms::TextBox());
			this->Timer1 = (gcnew System::Timers::Timer());
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->Timer1))->BeginInit();
			this->SuspendLayout();
			// 
			// ZeroBtn
			// 
			this->ZeroBtn->Location = System::Drawing::Point(233, 261);
			this->ZeroBtn->Name = L"ZeroBtn";
			this->ZeroBtn->Size = System::Drawing::Size(72, 32);
			this->ZeroBtn->TabIndex = 11;
			this->ZeroBtn->Text = L"ZERO";
			this->ZeroBtn->Click += gcnew System::EventHandler(this, &Form1::ZeroBtn_Click);
			// 
			// StartBtn
			// 
			this->StartBtn->Location = System::Drawing::Point(116, 261);
			this->StartBtn->Name = L"StartBtn";
			this->StartBtn->Size = System::Drawing::Size(88, 32);
			this->StartBtn->TabIndex = 10;
			this->StartBtn->Text = L"捞";
			this->StartBtn->Click += gcnew System::EventHandler(this, &Form1::StartBtn_Click);
			// 
			// ResultView
			// 
			this->ResultView->Location = System::Drawing::Point(68, 29);
			this->ResultView->Multiline = true;
			this->ResultView->Name = L"ResultView";
			this->ResultView->Size = System::Drawing::Size(184, 200);
			this->ResultView->TabIndex = 9;
			// 
			// Timer1
			// 
			this->Timer1->SynchronizingObject = this;
			this->Timer1->Elapsed += gcnew System::Timers::ElapsedEventHandler(this, &Form1::Timer1_Elapsed);
			// 
			// Form1
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(6, 12);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->ClientSize = System::Drawing::Size(320, 318);
			this->Controls->Add(this->ZeroBtn);
			this->Controls->Add(this->StartBtn);
			this->Controls->Add(this->ResultView);
			this->Name = L"Form1";
			this->Text = L"f[^捞(ATv)";
			this->FormClosed += gcnew System::Windows::Forms::FormClosedEventHandler(this, &Form1::Form1_FormClosed);
			this->Load += gcnew System::EventHandler(this, &Form1::Form1_Load);
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->Timer1))->EndInit();
			this->ResumeLayout(false);
			this->PerformLayout();

		}
#pragma endregion
	private: System::Void Form1_Load(System::Object^  sender, System::EventArgs^  e) {
				short Ret;
				try
				{
					Ret = Tusbs01lc_Device_Open(devID);
					if (Ret != 0)
					{
						MessageBox::Show(Tusbs01lc_GetErrMessage(Ret));
						return;
					}
				}
				catch (Exception^ ex)
				{
					MessageBox::Show(ex->Message);
					return;
				}
			 }
	private: System::Void Form1_FormClosed(System::Object^  sender, System::Windows::Forms::FormClosedEventArgs^  e) {
				if (StartBtn->Text == "~")
					MeasAbort();
				Tusbs01lc_Device_Close(devID);
			 }
private:void MeasStart()
		{
            short Ret;

            ResultView->Text = "";
            TotalCnt = 0;
            Ret = Tusbs01lc_Start_Sample(devID, 1);//捞Jn
            Timer1->Enabled = true;
            StartBtn->Text = "~";
		}
private:void MeasAbort()
		{
            Timer1->Enabled = false;
            StartBtn->Text = "捞";
		}
private: System::Void StartBtn_Click(System::Object^  sender, System::EventArgs^  e) {
			 if( StartBtn->Text == "捞" )
				MeasStart();
			 else if( StartBtn->Text == "~" )
				 MeasAbort();
		 }
private: System::Void ZeroBtn_Click(System::Object^  sender, System::EventArgs^  e) {
            short Ret;
            double tmpData;
            double Data;
            short Cnt;

            // 悸[NA
            Ret = Tusbs01lc_Zero_Adj(devID, 0.0);
            if (Ret != 0)
            {
                MessageBox::Show(Tusbs01lc_GetErrMessage(Ret));
                return;
            }

            // ̒l擾(ω)
            Data = 0.0;
            for (Cnt = 0; Cnt < 100; Cnt++)
            {
                Ret = Tusbs01lc_Single_Sample(devID, &tmpData);
                if (Ret != 0)
                {
                    MessageBox::Show(Tusbs01lc_GetErrMessage(Ret));
                    return;
                }
                Data += tmpData;
            }
            Data /= 100.0;

            // 
            Ret = Tusbs01lc_Zero_Adj(devID, Data);
            if (Ret != 0)
            {
                MessageBox::Show(Tusbs01lc_GetErrMessage(Ret));
                return;
            }
		 }
private: System::Void Timer1_Elapsed(System::Object^  sender, System::Timers::ElapsedEventArgs^  e) {
            short Ret;
            unsigned char DataSize = 10;
            double *Data = new double[DataSize];
            unsigned char *SerNum = new unsigned char[DataSize];
            int Cnt;

            Timer1->Enabled = false;//U^C}[~
            Ret = Tusbs01lc_Get_Datas(devID, Data, SerNum, &DataSize);

            for (Cnt = 0; Cnt < DataSize; Cnt++)
            {
                ResultView->Text = ResultView->Text + Data[Cnt].ToString("00000 ʂЂ") + "\r\n";
                TotalCnt += 1;
                if (TotalCnt > 9)
                {
                    MeasAbort();//I
                    return;
                }
            }
            Timer1->Enabled = true;//^C}[ĊJ
		 }
};
}

